Name:           kiran-calculator      

Version:        2.3.0
Release:        2
Summary:        Kiran Calculator

License:        GPL-3.0-only
Source0:        %{name}-%{version}.tar.gz

Patch:          0001-fix-translate-add-some-translation.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-linguist
BuildRequires:  kiran-widgets-qt5-devel
BuildRequires:  kiran-log-qt5-devel
BuildRequires:  kiran-qt5-integration-devel
Requires:    qt5-qtbase
Requires:    kiran-widgets-qt5
Requires:    kiran-log-qt5
Requires:    gtk-update-icon-cache
Requires:	kiran-qt5-integration

%description
This is a calculator with three modes:standard,science and programmer

%prep
%autosetup -p1

%build
%{__mkdir} -p %{buildroot}
%cmake
make %{?_smp_mflags}

%post
gtk-update-icon-cache -f /usr/share/icons/hicolor/

%install
%make_install

%files
%{_datadir}/kiran-calculator/translations/*.qm
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/16x16/apps/kc-calculator.png
%{_datadir}/icons/hicolor/22x22/apps/kc-calculator.png
%{_datadir}/icons/hicolor/24x24/apps/kc-calculator.png
%{_datadir}/icons/hicolor/32x32/apps/kc-calculator.png
%{_datadir}/icons/hicolor/48x48/apps/kc-calculator.png
%{_datadir}/icons/hicolor/64x64/apps/kc-calculator.png
%{_datadir}/icons/hicolor/96x96/apps/kc-calculator.png
%{_datadir}/icons/hicolor/128x128/apps/kc-calculator.png
%{_bindir}/kiran-calculator
%clean
rm -rf ${buildroot}

%changelog
* Thu Nov 03 2022 wangyucheng <wangyucheng@kylinsec.om.cn> - 2.3.0-2
- Add some translation & Fix translation file containing build directory
- KYOS-T: add some translation

* Thu Nov 03 2022 luoqing <luoqing@kylinsec.com.cn> - 2.3.0-1
- Upgrade to 2.3 version
- KYOS-F: Fix crash when closing calculator

* Thu Aug 04 2022 luoqing <luoqing@kylinsec.com.cn> - 2.2.2-1
- KYOS-F: Add icons of different sizes
- KYOS-F: Modify license and add yaml file

* Wed Jul 13 2022 luoqing <luoqing@kylinsec.com.cn> - 2.2.1-1
- KYOS-F: Add light theme
- KYOS-F: Fix C99 standard compilation problem and change to gnu99 standard

* Tue Mar 01 2022 longcheng <longcheng@kylinos.com.cn> - 2.2.0-5
- KYOS-B: Add Requires gtk-update-icon-cache

* Thu Feb 24 2022 chendingjian <chendingjian@kylinos.com.cn> - 2.2.0-4
- rebuild for KY3.4-MATE-modules-dev

* Wed Dec 29 2021 kpkg <kpkg@kylinos.com.cn> - 2.2.0-3.kb1
- rebuild for KY3.4-MATE-modules-dev

* Wed Dec 29 2021 caoyuanji<caoyuanji@kylinos.com.cn> - 2.2.0-3
- Upgrade version number for easy upgrade

* Mon Dec 20 2021 caoyuanji <caoyuanji@kylinos.com.cn> - 2.2.0-2.kb2
- rebuild for KY3.4-4-KiranUI-2.2

* Mon Dec 20 2021 caoyuanji <caoyuanji@kylinos.com.cn> - 2.2.0-2.kb1
- rebuild for KY3.4-4-KiranUI-2.2

* Mon Dec  06 2021 luoqing <luoqing@kylinos.com.cn> - 2.2.0-2.ky3
- KYOS-F: fix releasing memory when history is updated and programmer mode input 

* Fri Nov  12 2021 luoqing <luoqing@kylinos.com.cn> - 2.2.0-1.kb2
- KYOS-F: move button menu position

* Tue Nov  09 2021 luoqing <luoqing@kylinos.com.cn> - 2.2.0-1.kb1
- Inital build
